Re: Problems when trying to do a git submodule update init

Marlon Brandão de Sousa
 

Thanks Mic.


The symc worked, however I am getting yet another error:


C:\projetos\nvda>scons sources
scons: Reading SConscript files ...
ImportError: bad magic number in 'py2exe': b'\x03\xf3\r\n':
  File "C:\projetos\nvda\SConstruct", line 20:
    from py2exe.dllfinder import pydll


Any ideas on what is going on?


As for the sync, I will be submiting a pr to put this piece of advice in the readme file.


Thanks,

Marlon

On 28/10/2019 22:35, Michael Curran wrote:
Before running git submodule update, try running the following command:

git submodule sync


If you have not updated sources in a long time, it is possible that you still have submodules that point to an old repository. For instance, comtypes was moved to a new git repository a little while back.


Mick



On 10/29/2019 11:31 AM, Marlon Brandão de Sousa wrote:
Hello,


I am trying to clone again a NVDA repository.


When I do a I get the following error:

error: Server does not allow request for unadvertised object 8c45582fe497269594f127f93d1a786d6bc868fb

Fetched in submodule path 'include/comtypes', but it did not contain 8c45582fe497269594f127f93d1a786d6bc868fb. Direct fe
tching of that commit failed.


This happens when it tries to clone 'include/py2exe' (https://github.com/nvaccess/py2exe-bin) registered for path


Any ideas?


Thanks,

Marlon

Join nvda-devel@groups.io to automatically receive all group messages.